万年素人からHackerへの道

万年素人がHackerになれるまで殴り書きするぜ。

  • ・資産運用おすすめ
    10万円は1000円くらい利益
    • ・寄付お願いします
      YENTEN:YYzNPzdsZWqr5THWAdMrKDj7GT8ietDc2W
      BitZenny:ZfpUbVya8MWQkjjGJMjA7P9pPkqaLnwPWH
      c0ban:8KG95GXdEquNpPW8xJAJf7nn5kbimQ5wj1

    iam:PassRole

    iam:PassRole の付け方わかんね

    よくわからんけど https://console.aws.amazon.com/iam/home?region=us-west-2#/policies

    ここに行って ちなみに 「Role ARN arn:aws:iam::なんてら」をコピーしてevent.jsonのresourcesに貼った

    qiita.com このJSONをコピペで作った

    後、このめんどくさいエラーーーーーー

    lambda-uploader                                     19.9s  Thu Jul  5 09:04:06 2018
    λ Building Package
    λ Uploading Package
    âï¸ Unexpected error. Please report this traceback.
    Uploader: 1.3.0
    Botocore: 1.7.50
    Boto3: 1.10.50
    
    Traceback (most recent call last):
      File "/usr/local/lib/python3.6/site-packages/botocore/vendored/requests/packages/urllib3/connectionpool.py", line 544, in urlopen
        body=body, headers=headers)
      File "/usr/local/lib/python3.6/site-packages/botocore/vendored/requests/packages/urllib3/connectionpool.py", line 349, in _make_request
        conn.request(method, url, **httplib_request_kw)
      File "/usr/local/Cellar/python/3.6.5/Frameworks/Python.framework/Versions/3.6/lib/python3.6/http/client.py", line 1239, in request
        self._send_request(method, url, body, headers, encode_chunked)
      File "/usr/local/lib/python3.6/site-packages/botocore/awsrequest.py", line 130, in _send_request
        self, method, url, body, headers, *args, **kwargs)
      File "/usr/local/Cellar/python/3.6.5/Frameworks/Python.framework/Versions/3.6/lib/python3.6/http/client.py", line 1285, in _send_request
        self.endheaders(body, encode_chunked=encode_chunked)
      File "/usr/local/Cellar/python/3.6.5/Frameworks/Python.framework/Versions/3.6/lib/python3.6/http/client.py", line 1234, in endheaders
        self._send_output(message_body, encode_chunked=encode_chunked)
      File "/usr/local/lib/python3.6/site-packages/botocore/awsrequest.py", line 157, in _send_output
        self.send(msg)
      File "/usr/local/lib/python3.6/site-packages/botocore/awsrequest.py", line 242, in send
        return HTTPConnection.send(self, str)
      File "/usr/local/Cellar/python/3.6.5/Frameworks/Python.framework/Versions/3.6/lib/python3.6/http/client.py", line 986, in send
        self.sock.sendall(data)
      File "/usr/local/Cellar/python/3.6.5/Frameworks/Python.framework/Versions/3.6/lib/python3.6/ssl.py", line 972, in sendall
        v = self.send(byte_view[count:])
      File "/usr/local/Cellar/python/3.6.5/Frameworks/Python.framework/Versions/3.6/lib/python3.6/ssl.py", line 941, in send
        return self._sslobj.write(data)
      File "/usr/local/Cellar/python/3.6.5/Frameworks/Python.framework/Versions/3.6/lib/python3.6/ssl.py", line 642, in write
        return self._sslobj.write(data)
    socket.timeout: The write operation timed out
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/local/lib/python3.6/site-packages/botocore/vendored/requests/adapters.py", line 370, in send
        timeout=timeout
      File "/usr/local/lib/python3.6/site-packages/botocore/vendored/requests/packages/urllib3/connectionpool.py", line 597, in urlopen
        _stacktrace=sys.exc_info()[2])
      File "/usr/local/lib/python3.6/site-packages/botocore/vendored/requests/packages/urllib3/util/retry.py", line 245, in increment
        raise six.reraise(type(error), error, _stacktrace)
      File "/usr/local/lib/python3.6/site-packages/botocore/vendored/requests/packages/urllib3/packages/six.py", line 309, in reraise
        raise value.with_traceback(tb)
      File "/usr/local/lib/python3.6/site-packages/botocore/vendored/requests/packages/urllib3/connectionpool.py", line 544, in urlopen
        body=body, headers=headers)
      File "/usr/local/lib/python3.6/site-packages/botocore/vendored/requests/packages/urllib3/connectionpool.py", line 349, in _make_request
        conn.request(method, url, **httplib_request_kw)
      File "/usr/local/Cellar/python/3.6.5/Frameworks/Python.framework/Versions/3.6/lib/python3.6/http/client.py", line 1239, in request
        self._send_request(method, url, body, headers, encode_chunked)
      File "/usr/local/lib/python3.6/site-packages/botocore/awsrequest.py", line 130, in _send_request
        self, method, url, body, headers, *args, **kwargs)
      File "/usr/local/Cellar/python/3.6.5/Frameworks/Python.framework/Versions/3.6/lib/python3.6/http/client.py", line 1285, in _send_request
        self.endheaders(body, encode_chunked=encode_chunked)
      File "/usr/local/Cellar/python/3.6.5/Frameworks/Python.framework/Versions/3.6/lib/python3.6/http/client.py", line 1234, in endheaders
        self._send_output(message_body, encode_chunked=encode_chunked)
      File "/usr/local/lib/python3.6/site-packages/botocore/awsrequest.py", line 157, in _send_output
        self.send(msg)
      File "/usr/local/lib/python3.6/site-packages/botocore/awsrequest.py", line 242, in send
        return HTTPConnection.send(self, str)
      File "/usr/local/Cellar/python/3.6.5/Frameworks/Python.framework/Versions/3.6/lib/python3.6/http/client.py", line 986, in send
        self.sock.sendall(data)
      File "/usr/local/Cellar/python/3.6.5/Frameworks/Python.framework/Versions/3.6/lib/python3.6/ssl.py", line 972, in sendall
        v = self.send(byte_view[count:])
      File "/usr/local/Cellar/python/3.6.5/Frameworks/Python.framework/Versions/3.6/lib/python3.6/ssl.py", line 941, in send
        return self._sslobj.write(data)
      File "/usr/local/Cellar/python/3.6.5/Frameworks/Python.framework/Versions/3.6/lib/python3.6/ssl.py", line 642, in write
        return self._sslobj.write(data)
    botocore.vendored.requests.packages.urllib3.exceptions.ProtocolError: ('Connection aborted.', timeout('The write operation timed out',))
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/local/lib/python3.6/site-packages/lambda_uploader/shell.py", line 194, in main
        _execute(args)
      File "/usr/local/lib/python3.6/site-packages/lambda_uploader/shell.py", line 103, in _execute
        upldr.upload(pkg)
      File "/usr/local/lib/python3.6/site-packages/lambda_uploader/uploader.py", line 145, in upload
        self.version = self.upload_new(pkg)
      File "/usr/local/lib/python3.6/site-packages/lambda_uploader/uploader.py", line 122, in upload_new
        TracingConfig=self._config.tracing,
      File "/usr/local/lib/python3.6/site-packages/botocore/client.py", line 314, in _api_call
        return self._make_api_call(operation_name, kwargs)
      File "/usr/local/lib/python3.6/site-packages/botocore/client.py", line 599, in _make_api_call
        operation_model, request_dict)
      File "/usr/local/lib/python3.6/site-packages/botocore/endpoint.py", line 148, in make_request
        return self._send_request(request_dict, operation_model)
      File "/usr/local/lib/python3.6/site-packages/botocore/endpoint.py", line 177, in _send_request
        success_response, exception):
      File "/usr/local/lib/python3.6/site-packages/botocore/endpoint.py", line 273, in _needs_retry
        caught_exception=caught_exception, request_dict=request_dict)
      File "/usr/local/lib/python3.6/site-packages/botocore/hooks.py", line 227, in emit
        return self._emit(event_name, kwargs)
      File "/usr/local/lib/python3.6/site-packages/botocore/hooks.py", line 210, in _emit
        response = handler(**kwargs)
      File "/usr/local/lib/python3.6/site-packages/botocore/retryhandler.py", line 183, in __call__
        if self._checker(attempts, response, caught_exception):
      File "/usr/local/lib/python3.6/site-packages/botocore/retryhandler.py", line 251, in __call__
        caught_exception)
      File "/usr/local/lib/python3.6/site-packages/botocore/retryhandler.py", line 277, in _should_retry
        return self._checker(attempt_number, response, caught_exception)
      File "/usr/local/lib/python3.6/site-packages/botocore/retryhandler.py", line 317, in __call__
        caught_exception)
      File "/usr/local/lib/python3.6/site-packages/botocore/retryhandler.py", line 223, in __call__
        attempt_number, caught_exception)
      File "/usr/local/lib/python3.6/site-packages/botocore/retryhandler.py", line 359, in _check_caught_exception
        raise caught_exception
      File "/usr/local/lib/python3.6/site-packages/botocore/endpoint.py", line 222, in _get_response
        proxies=self.proxies, timeout=self.timeout)
      File "/usr/local/lib/python3.6/site-packages/botocore/vendored/requests/sessions.py", line 573, in send
        r = adapter.send(request, **kwargs)
      File "/usr/local/lib/python3.6/site-packages/botocore/vendored/requests/adapters.py", line 415, in send
        raise ConnectionError(err, request=request)
    botocore.vendored.requests.exceptions.ConnectionError: ('Connection aborted.', timeout('The write operation timed out',))

    botocore.vendored.requests.exceptions.ConnectionError: ('Connection aborted.', timeout('The write operation timed out',)) は何? https://forums.aws.amazon.com/thread.jspa?messageID=701647

    これでなんか aws --region us-east-2 ecr list-images --repository-name これ何? --max-results 10

    僕はus-east-2なのか?